Last Comment Bug 1187670 - AUDIO alarms without attachments are rejected although valid
: AUDIO alarms without attachments are rejected although valid
Status: RESOLVED FIXED
:
Product: Calendar
Classification: Client Software
Component: Alarms (show other bugs)
: Trunk
: Unspecified Unspecified
-- normal (vote)
: 4.0.2
Assigned To: Philipp Kewisch [:Fallen]
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-26 00:04 PDT by Philipp Kewisch [:Fallen]
Modified: 2015-08-08 03:42 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Fix - v1 (2.80 KB, patch)
2015-07-26 00:07 PDT, Philipp Kewisch [:Fallen]
mohit.kanwal: review+
philipp: approval‑calendar‑aurora+
philipp: approval‑calendar‑beta+
philipp: approval‑calendar‑esr+
Details | Diff | Splinter Review

Description User image Philipp Kewisch [:Fallen] 2015-07-26 00:04:46 PDT
The RFC mentions that AUDIO alarms can have an optional attachment, but our code expects there to always be an attachment. This causes modification failures on calendars that include such alarms. Example (valid):

BEGIN:VALARM
ACTION:AUDIO
TRIGGER;VALUE=DURATION:-P1D
END:VALARM
Comment 1 User image Philipp Kewisch [:Fallen] 2015-07-26 00:07:04 PDT
Created attachment 8638987 [details] [diff] [review]
Fix - v1
Comment 2 User image Mohit Kanwal [:redDragon] 2015-07-27 08:58:22 PDT
Comment on attachment 8638987 [details] [diff] [review]
Fix - v1

Review of attachment 8638987 [details] [diff] [review]:
-----------------------------------------------------------------

Looks Good :D
Comment 3 User image Philipp Kewisch [:Fallen] 2015-07-27 09:14:41 PDT
Comment on attachment 8638987 [details] [diff] [review]
Fix - v1

This patch is fairly low risk and helps Rainlender users use their calendar. Therefore I will approve this for 4.0.2.
Comment 5 User image Philipp Kewisch [:Fallen] 2015-08-08 03:27:01 PDT
url:        https://hg.mozilla.org/releases/comm-aurora/rev/0c4d96a60e8792dd4aa9bf516fcc52902367b350
changeset:  0c4d96a60e8792dd4aa9bf516fcc52902367b350
user:       Philipp Kewisch <mozilla@kewis.ch>
date:       Sun Jul 26 09:06:30 2015 +0200
description:
Bug 1187670 - AUDIO alarms without attachments are rejected although valid. r=redDragon
Comment 6 User image Philipp Kewisch [:Fallen] 2015-08-08 03:34:43 PDT
url:        https://hg.mozilla.org/releases/comm-beta/rev/53451ded1927849d96e2ee70f31a913ccea56bb6
changeset:  53451ded1927849d96e2ee70f31a913ccea56bb6
user:       Philipp Kewisch <mozilla@kewis.ch>
date:       Sun Jul 26 09:06:30 2015 +0200
description:
Bug 1187670 - AUDIO alarms without attachments are rejected although valid. r=redDragon
Comment 7 User image Philipp Kewisch [:Fallen] 2015-08-08 03:40:46 PDT
url:        https://hg.mozilla.org/releases/comm-esr38/rev/e6f40a8a53906a9b0cf152f54a6934441b993d4e
changeset:  e6f40a8a53906a9b0cf152f54a6934441b993d4e
user:       Philipp Kewisch <mozilla@kewis.ch>
date:       Sun Jul 26 09:06:30 2015 +0200
description:
Bug 1187670 - AUDIO alarms without attachments are rejected although valid. r=redDragon

Note You need to log in before you can comment on or make changes to this bug.